Page MenuHomePhabricator

Catchable fatal error: Argument 1 passed to EventBusHooks::sendResourceChangedEvent() must be an instance of LinkTarget, Title given in /srv/mediawiki/php-1.33.0-wmf.19/extensions/EventBus/includes/EventBusHooks.php on line 324
Closed, ResolvedPublic

Description

Error

Request ID: AWkqnSZ7Z9NltGfJE7Q3

message
Catchable fatal error: Argument 1 passed to EventBusHooks::sendResourceChangedEvent() must be an instance of LinkTarget, Title given in /srv/mediawiki/php-1.33.0-wmf.19/extensions/EventBus/includes/EventBusHooks.php on line 324
trace
..????...

Impact

This error makes impossible to save translations on Special:Translate, it may have other similarly serious impact.

Notes

Event Timeline

hashar created this task.Feb 26 2019, 4:24 PM
Restricted Application added a project: Analytics. · View Herald TranscriptFeb 26 2019, 4:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Spotted when deploying 1.33.0-wmf.19 on group0

Tacsipacsi triaged this task as Unbreak Now! priority.Feb 26 2019, 5:04 PM
Tacsipacsi added a subscriber: Tacsipacsi.

This error makes impossible to save translations on Special:Translate, it may have other similarly serious impact.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptFeb 26 2019, 5:04 PM

Change 493073 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@master] Provide eventServiceName in job queue and fix import.

https://gerrit.wikimedia.org/r/493073

Change 493077 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@wmf/1.33.0-wmf.19] Provide eventServiceName in job queue and fix import.

https://gerrit.wikimedia.org/r/493077

Change 493073 merged by Ottomata:
[mediawiki/extensions/EventBus@master] Provide eventServiceName in job queue and fix import.

https://gerrit.wikimedia.org/r/493073

The above patch and backport should take care of this and another one with $eventServiceName issue. Sorry about that

Change 493077 merged by jenkins-bot:
[mediawiki/extensions/EventBus@wmf/1.33.0-wmf.19] Provide eventServiceName in job queue and fix import.

https://gerrit.wikimedia.org/r/493077

Mentioned in SAL (#wikimedia-operations) [2019-02-26T19:12:01Z] <reedy@deploy1001> Synchronized php-1.33.0-wmf.19/extensions/EventBus/: T217145 (duration: 00m 54s)

MarcoAurelio added a subscriber: MarcoAurelio.

Merged on master, backported to 1.33.0-wmf.19. I see no other patches in this task that needs review.

hashar updated the task description. (Show Details)Feb 26 2019, 8:26 PM
hashar closed this task as Resolved.Feb 26 2019, 8:28 PM
hashar assigned this task to Pchelolo.
hashar added a subscriber: Reedy.

Last occurence in logstash was at 19:11:30 UTC.

Thank you Tacsipacsi @Pchelolo @Ottomata @Reedy !

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM